$(document).ready(function(){
    jQuery.fn.anim_progressbar = function (aOptions) {
        // Определяем значения
        var iCms = 1000;
        var iMms = 60 * iCms;
        var iHms = 3600 * iCms;
        var iDms = 24 * 3600 * iCms;

        // Определяем опции
        var aDefOpts = {
            start: new Date(), // Текущее время
            finish: new Date().setTime(new Date().getTime() + 60 * iCms), // Текущее время  + 60 сек
            interval: 100
        }
        var aOpts = jQuery.extend(aDefOpts, aOptions);
        var vPb = this;

        // Кажды индикаторо прогресса
        return this.each(
            function() {
                var iDuration = aOpts.finish - aOpts.start;

                // Вызываем оригинальны йиндикатор прогресса
                $(vPb).children('.pbar').progressbar();

                // Процесс обработки
                var vInterval = setInterval(
                    function(){
                        var iLeftMs = aOpts.finish - new Date(); // Оставшееся врмея в миллисекундах
                        var iElapsedMs = new Date() - aOpts.start, // Прошедшее время в миллисекундах
                            iDays = parseInt(iLeftMs / iDms), // Прошло дней
                            iHours = parseInt((iLeftMs - (iDays * iDms)) / iHms), // Прошло часов
                            iMin = parseInt((iLeftMs - (iDays * iDms) - (iHours * iHms)) / iMms), // Прошло минут
                            iSec = parseInt((iLeftMs - (iDays * iDms) - (iMin * iMms) - (iHours * iHms)) / iCms), // Прошло секунд
                            iPerc = (iElapsedMs > 0) ? iElapsedMs / iDuration * 100 : 0; // Процент выполнения

                        // Выводим текущее положение и прогресс
                        $(vPb).children('.percent').html('<b>'+iPerc.toFixed(1)+'%</b>');
                        //$(vPb).children('.elapsed').html(iSec+'сек.</b>');
                        $(vPb).children('.pbar').children('.ui-progressbar-value').css('width', iPerc+'%');

                        // В случае завершения
                        if (iPerc >= 100) {
                            clearInterval(vInterval);
                            $(vPb).children('.percent').html('<b>100%</b>');
                            $(vPb).children('.elapsed').html('Завершено');
                        }
                    } ,aOpts.interval
                );
            }
        );
    }

    // Режим по умолчанию
    $('#progress1').anim_progressbar();

    // Для секунд с 5-й по 15-ю
    var iNow = new Date().setTime(new Date().getTime() + 1 * 1000); // Теперь прибавляем по 5 секунд
    var iEnd = new Date().setTime(new Date().getTime() + 10 * 1000); // Теперь прибавляем по 15 секунд
    $('#progress2').anim_progressbar({start: iNow, finish: iEnd, interval: 100});
	
	//
	var iNow2 = new Date().setTime(new Date().getTime() + 10 * 1000); // Теперь прибавляем по 5 секунд
    var iEnd2 = new Date().setTime(new Date().getTime() + 15 * 1000); // Теперь прибавляем по 15 секунд
    $('#progress4').anim_progressbar({start: iNow2, finish: iEnd2, interval: 100});
	
	var iNow3 = new Date().setTime(new Date().getTime() + 15 * 1000); // Теперь прибавляем по 5 секунд
    var iEnd3 = new Date().setTime(new Date().getTime() + 18 * 1000); // Теперь прибавляем по 15 секунд
    $('#progress5').anim_progressbar({start: iNow3, finish: iEnd3, interval: 100});

    // Устанавливаем интервал обновления в 1 секунду
    $('#progress3').anim_progressbar({interval: 1000});
});